## org.eclipse.emf.common.util
Class BasicMonitor.Delegating

    java.lang.Object
      org.eclipse.emf.common.util.BasicMonitor.Delegating

Enclosing class:
  BasicMonitor

    public static class BasicMonitor.Delegating

extends java.lang.Object

A simple monitor that delegates to another monitor.

Field Summary
`protected Monitor` `monitor`

Constructor Summary
`BasicMonitor.Delegating(Monitor monitor)`

Method Summary
`void` `beginTask(java.lang.String name, int totalWork)`
`void` `clearBlocked()`
`void` `done()`
`void` `internalWorked(double work)`
`boolean` `isCanceled()`
`void` `setBlocked(Diagnostic reason)`
`void` `setCanceled(boolean value)`
`void` `setTaskName(java.lang.String name)`
`void` `subTask(java.lang.String name)`
`void` `worked(int work)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### monitor

    protected Monitor monitor

Constructor Detail

### BasicMonitor.Delegating

    public BasicMonitor.Delegating(Monitor monitor)

Method Detail

### isCanceled

    public boolean isCanceled()

### setCanceled

    public void setCanceled(boolean value)

### setBlocked

    public void setBlocked(Diagnostic reason)

### clearBlocked

    public void clearBlocked()

### beginTask

    public void beginTask(java.lang.String name,
                          int totalWork)

### setTaskName

    public void setTaskName(java.lang.String name)

### subTask

    public void subTask(java.lang.String name)

### worked

    public void worked(int work)

### internalWorked

    public void internalWorked(double work)

### done

    public void done()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.